package org.itscool.weber.tag;


/**
 * 指定した値が要求した変数のサブストリングに一致しない場合
 * このタグ内の内容を評価します
 * @author KANO
 * @since jdk1.4.1
 * @version 1.00A 2005/10/26
*/
public class NotMatchTag extends MatchTag {
    public int doParamCheck(Object result, Object value){
    	if(result == null || value == null){
        	return SKIP_BODY;
        }else if( !result.toString().equals(value.toString())){
        	return EVAL_BODY_INCLUDE;
        }else{
        	return SKIP_BODY;
        }
    }
}
